Bug 129013 - [PATCH] Winbind loses id map database on boot
[PATCH] Winbind loses id map database on boot
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: samba (Show other bugs)
3.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Simo Sorce
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-08-02 20:03 EDT by Kelvin Wood
Modified: 2007-11-30 17:07 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-19 15:21:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to rc.sysinit (340 bytes, patch)
2004-08-02 20:21 EDT, Kelvin Wood
no flags Details | Diff
Samba config (1.60 KB, text/plain)
2004-08-22 19:03 EDT, Kelvin Wood
no flags Details

  None (edit)
Description Kelvin Wood 2004-08-02 20:03:25 EDT
Description of problem:
On boot, previous NT <-> UNIX id mappings for winbind are deleted as
they exist in the /var/lock/samba/* directory.

Version-Release number of selected component (if applicable):
samba-common-3.0.4-6.3E

Steps to Reproduce:
1. Setup winbind for authentication.
2. Create files owned as a user from windows domain.
3. Reboot.
4. Observe files being reassigned owner privileges to another user (if
not an internal windows account).
  
Actual results:
The id mappings database gets lost, causing new id's to be reassigned
to users. This more often than not causes files to become owned by
different users.

Expected results:
The id mappings remain the same on reboot, causing the files to retain
proper permissions.
Comment 1 Kelvin Wood 2004-08-02 20:21:00 EDT
Created attachment 102376 [details]
Patch to rc.sysinit

This patch stops /etc/rc.d/rc.sysinit from deleting files in the
/var/lock/samba directory.
Comment 3 Jay Fenlason 2004-08-20 17:38:29 EDT
samba-3.0.4-6.3E pusts the winbindd_cache.tdb and winbind_idmap.tdb 
files in /var/cache/samba, where they survive reboots just fine.  
Can you attach a copy of your /etc/samba/smb.conf file to this bug? 
Comment 4 Kelvin Wood 2004-08-22 19:03:23 EDT
Created attachment 102974 [details]
Samba config

Attached samba config

Note: The server names have been changed to protect the innocent.
Comment 5 RHEL Product and Program Management 2007-10-19 15:21:47 EDT
This bug is filed against RHEL 3, which is in maintenance phase.
During the maintenance phase, only security errata and select mission
critical bug fixes will be released for enterprise products. Since
this bug does not meet that criteria, it is now being closed.
 
For more information of the RHEL errata support policy, please visit:
http://www.redhat.com/security/updates/errata/
 
If you feel this bug is indeed mission critical, please contact your
support representative. You may be asked to provide detailed
information on how this bug is affecting you.

Note You need to log in before you can comment on or make changes to this bug.